Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps.assertions
Class ResponseSLAAssertion

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.teststeps.WsdlMessageAssertion
              com.eviware.soapui.impl.wsdl.teststeps.assertions.ResponseSLAAssertion

All Implemented Interfaces:
  ResponseAssertion, ModelItem, PropertyChangeNotifier

    public class ResponseSLAAssertion

extends WsdlMessageAssertion
implements ResponseAssertion

Assertion for verifiying that responses occurred in the desired amount of time.

Author:
  Cory Lewis cory.lewis@genworth.com with help from, Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary
`static java.lang.String` | `ID`

Fields inherited from class com.eviware.soapui.impl.wsdl.teststeps.WsdlMessageAssertion
`CONFIGURATION_PROPERTY, ERRORS_PROPERTY, STATUS_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`ResponseSLAAssertion(com.eviware.soapui.config.RequestAssertionConfig assertionConfig, Assertable modelItem)` Constructor for our assertion.

Method Summary
`boolean` | `configure()`
`protected org.apache.xmlbeans.XmlObject` | `createConfiguration()`
`java.lang.String` | `getSLA()`
`protected java.lang.String` | `internalAssertRequest(WsdlMessageExchange messageExchange, SubmitContext context)`
`protected java.lang.String` | `internalAssertResponse(WsdlMessageExchange messageExchange, SubmitContext context)`
`void` | `setSLA(java.lang.String sla)`

Methods inherited from class com.eviware.soapui.impl.wsdl.teststeps.WsdlMessageAssertion
`assertRequest, assertResponse, getAssertable, getConfig, getConfiguration, getDescription, getErrors, getIcon, getName, getSettings, getStatus, isAllowMultiple, isClonable, isConfigurable, release, setConfiguration, setName, updateConfig`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.impl.wsdl.teststeps.assertions.ResponseAssertion
`assertResponse`

Field Detail

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

Constructor Detail

### ResponseSLAAssertion

    public ResponseSLAAssertion(com.eviware.soapui.config.RequestAssertionConfig assertionConfig,
                                Assertable modelItem)

  Constructor for our assertion.

  Parameters:
    `assertionConfig` -
    `modelItem` -

Method Detail

### internalAssertRequest

    protected java.lang.String internalAssertRequest(WsdlMessageExchange messageExchange,
                                                     SubmitContext context)
                                              throws AssertionException

  Specified by:
    `internalAssertRequest` in class `WsdlMessageAssertion`
  Throws:
    `AssertionException`
  See Also:
    `WsdlMessageAssertion.internalAssertRequest(com.eviware.soapui.impl.wsdl.submit.WsdlMessageExchange, com.eviware.soapui.model.iface.SubmitContext)`

### internalAssertResponse

    protected java.lang.String internalAssertResponse(WsdlMessageExchange messageExchange,
                                                      SubmitContext context)
                                               throws AssertionException

  Specified by:
    `internalAssertResponse` in class `WsdlMessageAssertion`
  Throws:
    `AssertionException`
  See Also:
    `WsdlMessageAssertion.internalAssertResponse(com.eviware.soapui.impl.wsdl.submit.WsdlMessageExchange, com.eviware.soapui.model.iface.SubmitContext)`

### configure

    public boolean configure()

  Overrides:
    `configure` in class `WsdlMessageAssertion`
  See Also:
    `WsdlMessageAssertion.configure()`

### getSLA

    public java.lang.String getSLA()

### setSLA

    public void setSLA(java.lang.String sla)

### createConfiguration

    protected org.apache.xmlbeans.XmlObject createConfiguration()

  Returns:
    XmlObject, our config chunk

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.